
QGIS Application - Bug report #21260

QGIS Crashed when trying to render a subset of 3D building using CityGML

2019-02-13 11:16 PM - Tahir Tamba

Status: Closed

Priority: High

Assignee:

Category: 3D

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 7 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29078

Description

When trying to render a subset of 3D building using CityGML format QGIS crashed. 

Below is the error message QGIS displayed:

Crash ID: eba3d43fbc9f9e9221f46bb57d2c178413ade793

Stack Trace

QObject::thread :

QgsNetworkAccessManager::instance :

selectWidget :

CPLStringList::PartialFindString :

CPLStringList::empty :

QgsRasterDataProvider::block :

QgsSingleBandColorDataRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererCustomPainterJob::renderSynchronously :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: 73c31df831

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64
Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-02-16 01:17 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Subject changed from QGIS Crashed  to QGIS Crashed when trying to render a subset of 3D building using CityGML

#2 - 2019-02-16 01:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach sample data.

#3 - 2019-03-08 10:58 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
